Set(CARACOTSIOS_DENSE_DIR src/Test/CaracotsiosDense)

INCLUDE_DIRECTORIES(${CARACOTSIOS_DENSE_DIR})

Set(CARACOTSIOS_DENSE_HEADER_FILES  
	${CARACOTSIOS_DENSE_DIR}/DenseCaracotsiosDcc.hpp)
	
SOURCE_GROUP("Header Files" FILES ${CARACOTSIOS_DENSE_HEADER_FILES} )

Set(CARACOTSIOS_DENSE_SOURCE_FILES 
	${CARACOTSIOS_DENSE_DIR}/main.cpp
	${CARACOTSIOS_DENSE_DIR}/DenseCaracotsiosDcc.cpp
	${CARACOTSIOS_DENSE_DIR}/d1_rhs.cpp
	${CARACOTSIOS_DENSE_DIR}/b1_rhs.cpp
	${CARACOTSIOS_DENSE_DIR}/d2_b1_rhs.cpp )
	
add_executable(CaracotsiosDense ${CARACOTSIOS_DENSE_HEADER_FILES} 
	${CARACOTSIOS_DENSE_SOURCE_FILES} )

target_link_libraries(CaracotsiosDense Nixe)
	

if(MSVC)
SET_PROPERTY(TARGET CaracotsiosDense PROPERTY LINK_FLAGS_DEBUG  "/NODEFAULTLIB:MSVCRT" )
endif()


ADD_TEST(TestCaracotsiosDense ${EXECUTABLE_OUTPUT_PATH}/CaracotsiosDense ${CMAKE_CURRENT_SOURCE_DIR}/${CARACOTSIOS_DENSE_DIR}/ReferenceHessian.dat)

